Update Guidance Rule
Update an existing AI Context rule.
Path Parameters
rule_id*Rule Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/settings/rules/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "title": "string", "body": "string", "scope": "global", "status": "draft", "agentProfileId": "", "spaceId": "default", "priority": 50, "source": "manual", "tags": [ "string" ], "evidenceMemoryIds": [ "string" ], "supportedEvidenceMemoryIds": [ "string" ], "unsupportedEvidenceMemoryIds": [ "string" ], "confidence": 0, "rationale": "", "supportCount": 0, "archivedAt": "", "archivedReason": "", "archivedBy": "", "createdAt": "", "updatedAt": ""}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}